#!/bin/bash

set -o errexit

if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root (use sudo)" 1>&2
   exit 1
fi

set -e

echo "INSTALLING 3.5'' SCREEN OVERLAY AND SETTINGS"

cd ~

sudo apt update
sudo apt -y install git
sudo apt -y install xserver-xorg-input-evdev

sudo rm -rf LCD-show
git clone https://github.com/goodtft/LCD-show


sudo cp LCD-show/usr/tft35a-overlay.dtb /boot/overlays/
sudo cp LCD-show/usr/tft35a-overlay.dtb /boot/overlays/tft35a.dtbo

sudo mkdir -p /usr/share/X11/xorg.conf.d/
sudo cp -rf LCD-show/usr/99-fbturbo.conf /usr/share/X11/xorg.conf.d/99-fbturbo.conf

sudo mkdir -p /etc/X11/xorg.conf.d
##sudo cp -rf LCD-show/usr/99-calibration.conf-35-90 /etc/X11/xorg.conf.d/99-calibration.conf

cat <<'EOF' > /etc/X11/xorg.conf.d/99-calibration.conf
Section "InputClass"
        Identifier      "calibration"
        MatchProduct    "ADS7846 Touchscreen"
        Option  "Calibration"   "227 3936 3880 268"
        Option  "SwapAxes"      "1"
        Driver  "evdev"
EndSection
EOF

grep -q "include userconfig.txt" /boot/config.txt || \
  echo "include userconfig.txt" >> /boot/config.txt  
grep -q "hdmi_force_hotplug=1" /boot/userconfig.txt || \
  echo "hdmi_force_hotplug=1" >> /boot/userconfig.txt
grep -q "dtparam=i2c_arm=on" /boot/userconfig.txt || \
  echo "dtparam=i2c_arm=on" >> /boot/userconfig.txt
grep -q "dtparam=spi=on" /boot/userconfig.txt || \
  echo "dtparam=spi=on" >> /boot/userconfig.txt
grep -q "hdmi_force_hotplug=1" /boot/userconfig.txt || \
  echo "hdmi_force_hotplug=1" >> /boot/userconfig.txt
sed -i '/dtoverlay=tft/,$d' /boot/userconfig.txt
echo "dtoverlay=tft35a:rotate=270" >> /boot/userconfig.txt


echo "INSTALL 3.5'' SCREEN OVERLAY AND SETTINGS DONE!"
echo "PLEASE REBOOT."